Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network42.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
42.0.0.0
Broadcast address
43.255.255.255
First usable
42.0.0.1
Last usable
43.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 2A000000 · Integer 704643072 to 738197503
Reverse DNS zones
42.in-addr.arpa
43.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101010.00000000.00000000.0000000042.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network00101010.00000000.00000000.0000000042.0.0.0
Broadcast00101011.11111111.11111111.1111111143.255.255.255
Split into smaller subnets/16

42.0.0.0/7 makes 512 subnets of /16; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
142.0.0.0/1642.0.0.1 to 42.0.255.25442.0.255.25565,534
242.1.0.0/1642.1.0.1 to 42.1.255.25442.1.255.25565,534
342.2.0.0/1642.2.0.1 to 42.2.255.25442.2.255.25565,534
442.3.0.0/1642.3.0.1 to 42.3.255.25442.3.255.25565,534
542.4.0.0/1642.4.0.1 to 42.4.255.25442.4.255.25565,534
642.5.0.0/1642.5.0.1 to 42.5.255.25442.5.255.25565,534
742.6.0.0/1642.6.0.1 to 42.6.255.25442.6.255.25565,534
842.7.0.0/1642.7.0.1 to 42.7.255.25442.7.255.25565,534
942.8.0.0/1642.8.0.1 to 42.8.255.25442.8.255.25565,534
1042.9.0.0/1642.9.0.1 to 42.9.255.25442.9.255.25565,534
1142.10.0.0/1642.10.0.1 to 42.10.255.25442.10.255.25565,534
1242.11.0.0/1642.11.0.1 to 42.11.255.25442.11.255.25565,534
1342.12.0.0/1642.12.0.1 to 42.12.255.25442.12.255.25565,534
1442.13.0.0/1642.13.0.1 to 42.13.255.25442.13.255.25565,534
1542.14.0.0/1642.14.0.1 to 42.14.255.25442.14.255.25565,534
1642.15.0.0/1642.15.0.1 to 42.15.255.25442.15.255.25565,534
1742.16.0.0/1642.16.0.1 to 42.16.255.25442.16.255.25565,534
1842.17.0.0/1642.17.0.1 to 42.17.255.25442.17.255.25565,534
1942.18.0.0/1642.18.0.1 to 42.18.255.25442.18.255.25565,534
2042.19.0.0/1642.19.0.1 to 42.19.255.25442.19.255.25565,534
2142.20.0.0/1642.20.0.1 to 42.20.255.25442.20.255.25565,534
2242.21.0.0/1642.21.0.1 to 42.21.255.25442.21.255.25565,534
2342.22.0.0/1642.22.0.1 to 42.22.255.25442.22.255.25565,534
2442.23.0.0/1642.23.0.1 to 42.23.255.25442.23.255.25565,534
2542.24.0.0/1642.24.0.1 to 42.24.255.25442.24.255.25565,534
2642.25.0.0/1642.25.0.1 to 42.25.255.25442.25.255.25565,534
2742.26.0.0/1642.26.0.1 to 42.26.255.25442.26.255.25565,534
2842.27.0.0/1642.27.0.1 to 42.27.255.25442.27.255.25565,534
2942.28.0.0/1642.28.0.1 to 42.28.255.25442.28.255.25565,534
3042.29.0.0/1642.29.0.1 to 42.29.255.25442.29.255.25565,534
3142.30.0.0/1642.30.0.1 to 42.30.255.25442.30.255.25565,534
3242.31.0.0/1642.31.0.1 to 42.31.255.25442.31.255.25565,534
3342.32.0.0/1642.32.0.1 to 42.32.255.25442.32.255.25565,534
3442.33.0.0/1642.33.0.1 to 42.33.255.25442.33.255.25565,534
3542.34.0.0/1642.34.0.1 to 42.34.255.25442.34.255.25565,534
3642.35.0.0/1642.35.0.1 to 42.35.255.25442.35.255.25565,534
3742.36.0.0/1642.36.0.1 to 42.36.255.25442.36.255.25565,534
3842.37.0.0/1642.37.0.1 to 42.37.255.25442.37.255.25565,534
3942.38.0.0/1642.38.0.1 to 42.38.255.25442.38.255.25565,534
4042.39.0.0/1642.39.0.1 to 42.39.255.25442.39.255.25565,534
4142.40.0.0/1642.40.0.1 to 42.40.255.25442.40.255.25565,534
4242.41.0.0/1642.41.0.1 to 42.41.255.25442.41.255.25565,534
4342.42.0.0/1642.42.0.1 to 42.42.255.25442.42.255.25565,534
4442.43.0.0/1642.43.0.1 to 42.43.255.25442.43.255.25565,534
4542.44.0.0/1642.44.0.1 to 42.44.255.25442.44.255.25565,534
4642.45.0.0/1642.45.0.1 to 42.45.255.25442.45.255.25565,534
4742.46.0.0/1642.46.0.1 to 42.46.255.25442.46.255.25565,534
4842.47.0.0/1642.47.0.1 to 42.47.255.25442.47.255.25565,534
4942.48.0.0/1642.48.0.1 to 42.48.255.25442.48.255.25565,534
5042.49.0.0/1642.49.0.1 to 42.49.255.25442.49.255.25565,534
5142.50.0.0/1642.50.0.1 to 42.50.255.25442.50.255.25565,534
5242.51.0.0/1642.51.0.1 to 42.51.255.25442.51.255.25565,534
5342.52.0.0/1642.52.0.1 to 42.52.255.25442.52.255.25565,534
5442.53.0.0/1642.53.0.1 to 42.53.255.25442.53.255.25565,534
5542.54.0.0/1642.54.0.1 to 42.54.255.25442.54.255.25565,534
5642.55.0.0/1642.55.0.1 to 42.55.255.25442.55.255.25565,534
5742.56.0.0/1642.56.0.1 to 42.56.255.25442.56.255.25565,534
5842.57.0.0/1642.57.0.1 to 42.57.255.25442.57.255.25565,534
5942.58.0.0/1642.58.0.1 to 42.58.255.25442.58.255.25565,534
6042.59.0.0/1642.59.0.1 to 42.59.255.25442.59.255.25565,534
6142.60.0.0/1642.60.0.1 to 42.60.255.25442.60.255.25565,534
6242.61.0.0/1642.61.0.1 to 42.61.255.25442.61.255.25565,534
6342.62.0.0/1642.62.0.1 to 42.62.255.25442.62.255.25565,534
6442.63.0.0/1642.63.0.1 to 42.63.255.25442.63.255.25565,534
6542.64.0.0/1642.64.0.1 to 42.64.255.25442.64.255.25565,534
6642.65.0.0/1642.65.0.1 to 42.65.255.25442.65.255.25565,534
6742.66.0.0/1642.66.0.1 to 42.66.255.25442.66.255.25565,534
6842.67.0.0/1642.67.0.1 to 42.67.255.25442.67.255.25565,534
6942.68.0.0/1642.68.0.1 to 42.68.255.25442.68.255.25565,534
7042.69.0.0/1642.69.0.1 to 42.69.255.25442.69.255.25565,534
7142.70.0.0/1642.70.0.1 to 42.70.255.25442.70.255.25565,534
7242.71.0.0/1642.71.0.1 to 42.71.255.25442.71.255.25565,534
7342.72.0.0/1642.72.0.1 to 42.72.255.25442.72.255.25565,534
7442.73.0.0/1642.73.0.1 to 42.73.255.25442.73.255.25565,534
7542.74.0.0/1642.74.0.1 to 42.74.255.25442.74.255.25565,534
7642.75.0.0/1642.75.0.1 to 42.75.255.25442.75.255.25565,534
7742.76.0.0/1642.76.0.1 to 42.76.255.25442.76.255.25565,534
7842.77.0.0/1642.77.0.1 to 42.77.255.25442.77.255.25565,534
7942.78.0.0/1642.78.0.1 to 42.78.255.25442.78.255.25565,534
8042.79.0.0/1642.79.0.1 to 42.79.255.25442.79.255.25565,534
8142.80.0.0/1642.80.0.1 to 42.80.255.25442.80.255.25565,534
8242.81.0.0/1642.81.0.1 to 42.81.255.25442.81.255.25565,534
8342.82.0.0/1642.82.0.1 to 42.82.255.25442.82.255.25565,534
8442.83.0.0/1642.83.0.1 to 42.83.255.25442.83.255.25565,534
8542.84.0.0/1642.84.0.1 to 42.84.255.25442.84.255.25565,534
8642.85.0.0/1642.85.0.1 to 42.85.255.25442.85.255.25565,534
8742.86.0.0/1642.86.0.1 to 42.86.255.25442.86.255.25565,534
8842.87.0.0/1642.87.0.1 to 42.87.255.25442.87.255.25565,534
8942.88.0.0/1642.88.0.1 to 42.88.255.25442.88.255.25565,534
9042.89.0.0/1642.89.0.1 to 42.89.255.25442.89.255.25565,534
9142.90.0.0/1642.90.0.1 to 42.90.255.25442.90.255.25565,534
9242.91.0.0/1642.91.0.1 to 42.91.255.25442.91.255.25565,534
9342.92.0.0/1642.92.0.1 to 42.92.255.25442.92.255.25565,534
9442.93.0.0/1642.93.0.1 to 42.93.255.25442.93.255.25565,534
9542.94.0.0/1642.94.0.1 to 42.94.255.25442.94.255.25565,534
9642.95.0.0/1642.95.0.1 to 42.95.255.25442.95.255.25565,534
9742.96.0.0/1642.96.0.1 to 42.96.255.25442.96.255.25565,534
9842.97.0.0/1642.97.0.1 to 42.97.255.25442.97.255.25565,534
9942.98.0.0/1642.98.0.1 to 42.98.255.25442.98.255.25565,534
10042.99.0.0/1642.99.0.1 to 42.99.255.25442.99.255.25565,534
10142.100.0.0/1642.100.0.1 to 42.100.255.25442.100.255.25565,534
10242.101.0.0/1642.101.0.1 to 42.101.255.25442.101.255.25565,534
10342.102.0.0/1642.102.0.1 to 42.102.255.25442.102.255.25565,534
10442.103.0.0/1642.103.0.1 to 42.103.255.25442.103.255.25565,534
10542.104.0.0/1642.104.0.1 to 42.104.255.25442.104.255.25565,534
10642.105.0.0/1642.105.0.1 to 42.105.255.25442.105.255.25565,534
10742.106.0.0/1642.106.0.1 to 42.106.255.25442.106.255.25565,534
10842.107.0.0/1642.107.0.1 to 42.107.255.25442.107.255.25565,534
10942.108.0.0/1642.108.0.1 to 42.108.255.25442.108.255.25565,534
11042.109.0.0/1642.109.0.1 to 42.109.255.25442.109.255.25565,534
11142.110.0.0/1642.110.0.1 to 42.110.255.25442.110.255.25565,534
11242.111.0.0/1642.111.0.1 to 42.111.255.25442.111.255.25565,534
11342.112.0.0/1642.112.0.1 to 42.112.255.25442.112.255.25565,534
11442.113.0.0/1642.113.0.1 to 42.113.255.25442.113.255.25565,534
11542.114.0.0/1642.114.0.1 to 42.114.255.25442.114.255.25565,534
11642.115.0.0/1642.115.0.1 to 42.115.255.25442.115.255.25565,534
11742.116.0.0/1642.116.0.1 to 42.116.255.25442.116.255.25565,534
11842.117.0.0/1642.117.0.1 to 42.117.255.25442.117.255.25565,534
11942.118.0.0/1642.118.0.1 to 42.118.255.25442.118.255.25565,534
12042.119.0.0/1642.119.0.1 to 42.119.255.25442.119.255.25565,534
12142.120.0.0/1642.120.0.1 to 42.120.255.25442.120.255.25565,534
12242.121.0.0/1642.121.0.1 to 42.121.255.25442.121.255.25565,534
12342.122.0.0/1642.122.0.1 to 42.122.255.25442.122.255.25565,534
12442.123.0.0/1642.123.0.1 to 42.123.255.25442.123.255.25565,534
12542.124.0.0/1642.124.0.1 to 42.124.255.25442.124.255.25565,534
12642.125.0.0/1642.125.0.1 to 42.125.255.25442.125.255.25565,534
12742.126.0.0/1642.126.0.1 to 42.126.255.25442.126.255.25565,534
12842.127.0.0/1642.127.0.1 to 42.127.255.25442.127.255.25565,534
12942.128.0.0/1642.128.0.1 to 42.128.255.25442.128.255.25565,534
13042.129.0.0/1642.129.0.1 to 42.129.255.25442.129.255.25565,534
13142.130.0.0/1642.130.0.1 to 42.130.255.25442.130.255.25565,534
13242.131.0.0/1642.131.0.1 to 42.131.255.25442.131.255.25565,534
13342.132.0.0/1642.132.0.1 to 42.132.255.25442.132.255.25565,534
13442.133.0.0/1642.133.0.1 to 42.133.255.25442.133.255.25565,534
13542.134.0.0/1642.134.0.1 to 42.134.255.25442.134.255.25565,534
13642.135.0.0/1642.135.0.1 to 42.135.255.25442.135.255.25565,534
13742.136.0.0/1642.136.0.1 to 42.136.255.25442.136.255.25565,534
13842.137.0.0/1642.137.0.1 to 42.137.255.25442.137.255.25565,534
13942.138.0.0/1642.138.0.1 to 42.138.255.25442.138.255.25565,534
14042.139.0.0/1642.139.0.1 to 42.139.255.25442.139.255.25565,534
14142.140.0.0/1642.140.0.1 to 42.140.255.25442.140.255.25565,534
14242.141.0.0/1642.141.0.1 to 42.141.255.25442.141.255.25565,534
14342.142.0.0/1642.142.0.1 to 42.142.255.25442.142.255.25565,534
14442.143.0.0/1642.143.0.1 to 42.143.255.25442.143.255.25565,534
14542.144.0.0/1642.144.0.1 to 42.144.255.25442.144.255.25565,534
14642.145.0.0/1642.145.0.1 to 42.145.255.25442.145.255.25565,534
14742.146.0.0/1642.146.0.1 to 42.146.255.25442.146.255.25565,534
14842.147.0.0/1642.147.0.1 to 42.147.255.25442.147.255.25565,534
14942.148.0.0/1642.148.0.1 to 42.148.255.25442.148.255.25565,534
15042.149.0.0/1642.149.0.1 to 42.149.255.25442.149.255.25565,534
15142.150.0.0/1642.150.0.1 to 42.150.255.25442.150.255.25565,534
15242.151.0.0/1642.151.0.1 to 42.151.255.25442.151.255.25565,534
15342.152.0.0/1642.152.0.1 to 42.152.255.25442.152.255.25565,534
15442.153.0.0/1642.153.0.1 to 42.153.255.25442.153.255.25565,534
15542.154.0.0/1642.154.0.1 to 42.154.255.25442.154.255.25565,534
15642.155.0.0/1642.155.0.1 to 42.155.255.25442.155.255.25565,534
15742.156.0.0/1642.156.0.1 to 42.156.255.25442.156.255.25565,534
15842.157.0.0/1642.157.0.1 to 42.157.255.25442.157.255.25565,534
15942.158.0.0/1642.158.0.1 to 42.158.255.25442.158.255.25565,534
16042.159.0.0/1642.159.0.1 to 42.159.255.25442.159.255.25565,534
16142.160.0.0/1642.160.0.1 to 42.160.255.25442.160.255.25565,534
16242.161.0.0/1642.161.0.1 to 42.161.255.25442.161.255.25565,534
16342.162.0.0/1642.162.0.1 to 42.162.255.25442.162.255.25565,534
16442.163.0.0/1642.163.0.1 to 42.163.255.25442.163.255.25565,534
16542.164.0.0/1642.164.0.1 to 42.164.255.25442.164.255.25565,534
16642.165.0.0/1642.165.0.1 to 42.165.255.25442.165.255.25565,534
16742.166.0.0/1642.166.0.1 to 42.166.255.25442.166.255.25565,534
16842.167.0.0/1642.167.0.1 to 42.167.255.25442.167.255.25565,534
16942.168.0.0/1642.168.0.1 to 42.168.255.25442.168.255.25565,534
17042.169.0.0/1642.169.0.1 to 42.169.255.25442.169.255.25565,534
17142.170.0.0/1642.170.0.1 to 42.170.255.25442.170.255.25565,534
17242.171.0.0/1642.171.0.1 to 42.171.255.25442.171.255.25565,534
17342.172.0.0/1642.172.0.1 to 42.172.255.25442.172.255.25565,534
17442.173.0.0/1642.173.0.1 to 42.173.255.25442.173.255.25565,534
17542.174.0.0/1642.174.0.1 to 42.174.255.25442.174.255.25565,534
17642.175.0.0/1642.175.0.1 to 42.175.255.25442.175.255.25565,534
17742.176.0.0/1642.176.0.1 to 42.176.255.25442.176.255.25565,534
17842.177.0.0/1642.177.0.1 to 42.177.255.25442.177.255.25565,534
17942.178.0.0/1642.178.0.1 to 42.178.255.25442.178.255.25565,534
18042.179.0.0/1642.179.0.1 to 42.179.255.25442.179.255.25565,534
18142.180.0.0/1642.180.0.1 to 42.180.255.25442.180.255.25565,534
18242.181.0.0/1642.181.0.1 to 42.181.255.25442.181.255.25565,534
18342.182.0.0/1642.182.0.1 to 42.182.255.25442.182.255.25565,534
18442.183.0.0/1642.183.0.1 to 42.183.255.25442.183.255.25565,534
18542.184.0.0/1642.184.0.1 to 42.184.255.25442.184.255.25565,534
18642.185.0.0/1642.185.0.1 to 42.185.255.25442.185.255.25565,534
18742.186.0.0/1642.186.0.1 to 42.186.255.25442.186.255.25565,534
18842.187.0.0/1642.187.0.1 to 42.187.255.25442.187.255.25565,534
18942.188.0.0/1642.188.0.1 to 42.188.255.25442.188.255.25565,534
19042.189.0.0/1642.189.0.1 to 42.189.255.25442.189.255.25565,534
19142.190.0.0/1642.190.0.1 to 42.190.255.25442.190.255.25565,534
19242.191.0.0/1642.191.0.1 to 42.191.255.25442.191.255.25565,534
19342.192.0.0/1642.192.0.1 to 42.192.255.25442.192.255.25565,534
19442.193.0.0/1642.193.0.1 to 42.193.255.25442.193.255.25565,534
19542.194.0.0/1642.194.0.1 to 42.194.255.25442.194.255.25565,534
19642.195.0.0/1642.195.0.1 to 42.195.255.25442.195.255.25565,534
19742.196.0.0/1642.196.0.1 to 42.196.255.25442.196.255.25565,534
19842.197.0.0/1642.197.0.1 to 42.197.255.25442.197.255.25565,534
19942.198.0.0/1642.198.0.1 to 42.198.255.25442.198.255.25565,534
20042.199.0.0/1642.199.0.1 to 42.199.255.25442.199.255.25565,534
20142.200.0.0/1642.200.0.1 to 42.200.255.25442.200.255.25565,534
20242.201.0.0/1642.201.0.1 to 42.201.255.25442.201.255.25565,534
20342.202.0.0/1642.202.0.1 to 42.202.255.25442.202.255.25565,534
20442.203.0.0/1642.203.0.1 to 42.203.255.25442.203.255.25565,534
20542.204.0.0/1642.204.0.1 to 42.204.255.25442.204.255.25565,534
20642.205.0.0/1642.205.0.1 to 42.205.255.25442.205.255.25565,534
20742.206.0.0/1642.206.0.1 to 42.206.255.25442.206.255.25565,534
20842.207.0.0/1642.207.0.1 to 42.207.255.25442.207.255.25565,534
20942.208.0.0/1642.208.0.1 to 42.208.255.25442.208.255.25565,534
21042.209.0.0/1642.209.0.1 to 42.209.255.25442.209.255.25565,534
21142.210.0.0/1642.210.0.1 to 42.210.255.25442.210.255.25565,534
21242.211.0.0/1642.211.0.1 to 42.211.255.25442.211.255.25565,534
21342.212.0.0/1642.212.0.1 to 42.212.255.25442.212.255.25565,534
21442.213.0.0/1642.213.0.1 to 42.213.255.25442.213.255.25565,534
21542.214.0.0/1642.214.0.1 to 42.214.255.25442.214.255.25565,534
21642.215.0.0/1642.215.0.1 to 42.215.255.25442.215.255.25565,534
21742.216.0.0/1642.216.0.1 to 42.216.255.25442.216.255.25565,534
21842.217.0.0/1642.217.0.1 to 42.217.255.25442.217.255.25565,534
21942.218.0.0/1642.218.0.1 to 42.218.255.25442.218.255.25565,534
22042.219.0.0/1642.219.0.1 to 42.219.255.25442.219.255.25565,534
22142.220.0.0/1642.220.0.1 to 42.220.255.25442.220.255.25565,534
22242.221.0.0/1642.221.0.1 to 42.221.255.25442.221.255.25565,534
22342.222.0.0/1642.222.0.1 to 42.222.255.25442.222.255.25565,534
22442.223.0.0/1642.223.0.1 to 42.223.255.25442.223.255.25565,534
22542.224.0.0/1642.224.0.1 to 42.224.255.25442.224.255.25565,534
22642.225.0.0/1642.225.0.1 to 42.225.255.25442.225.255.25565,534
22742.226.0.0/1642.226.0.1 to 42.226.255.25442.226.255.25565,534
22842.227.0.0/1642.227.0.1 to 42.227.255.25442.227.255.25565,534
22942.228.0.0/1642.228.0.1 to 42.228.255.25442.228.255.25565,534
23042.229.0.0/1642.229.0.1 to 42.229.255.25442.229.255.25565,534
23142.230.0.0/1642.230.0.1 to 42.230.255.25442.230.255.25565,534
23242.231.0.0/1642.231.0.1 to 42.231.255.25442.231.255.25565,534
23342.232.0.0/1642.232.0.1 to 42.232.255.25442.232.255.25565,534
23442.233.0.0/1642.233.0.1 to 42.233.255.25442.233.255.25565,534
23542.234.0.0/1642.234.0.1 to 42.234.255.25442.234.255.25565,534
23642.235.0.0/1642.235.0.1 to 42.235.255.25442.235.255.25565,534
23742.236.0.0/1642.236.0.1 to 42.236.255.25442.236.255.25565,534
23842.237.0.0/1642.237.0.1 to 42.237.255.25442.237.255.25565,534
23942.238.0.0/1642.238.0.1 to 42.238.255.25442.238.255.25565,534
24042.239.0.0/1642.239.0.1 to 42.239.255.25442.239.255.25565,534
24142.240.0.0/1642.240.0.1 to 42.240.255.25442.240.255.25565,534
24242.241.0.0/1642.241.0.1 to 42.241.255.25442.241.255.25565,534
24342.242.0.0/1642.242.0.1 to 42.242.255.25442.242.255.25565,534
24442.243.0.0/1642.243.0.1 to 42.243.255.25442.243.255.25565,534
24542.244.0.0/1642.244.0.1 to 42.244.255.25442.244.255.25565,534
24642.245.0.0/1642.245.0.1 to 42.245.255.25442.245.255.25565,534
24742.246.0.0/1642.246.0.1 to 42.246.255.25442.246.255.25565,534
24842.247.0.0/1642.247.0.1 to 42.247.255.25442.247.255.25565,534
24942.248.0.0/1642.248.0.1 to 42.248.255.25442.248.255.25565,534
25042.249.0.0/1642.249.0.1 to 42.249.255.25442.249.255.25565,534
25142.250.0.0/1642.250.0.1 to 42.250.255.25442.250.255.25565,534
25242.251.0.0/1642.251.0.1 to 42.251.255.25442.251.255.25565,534
25342.252.0.0/1642.252.0.1 to 42.252.255.25442.252.255.25565,534
25442.253.0.0/1642.253.0.1 to 42.253.255.25442.253.255.25565,534
25542.254.0.0/1642.254.0.1 to 42.254.255.25442.254.255.25565,534
25642.255.0.0/1642.255.0.1 to 42.255.255.25442.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses